| SoapySDR 0.8.1-ARCH Vendor and platform neutral SDR interface library

Public Member Functions | Static Public Member Functions | List of all members
SoapySDR::Registry Class Reference

`#include <Registry.hpp>`

## Public Member Functions
| Registry (const std::string &name, const FindFunction &find, const MakeFunction &make, const std::string &abi)
| ~Registry (void)
| Cleanup this registry entry. More...

## Static Public Member Functions
static FindFunctions | listFindFunctions (void)
static MakeFunctions | listMakeFunctions (void)

## Detailed Description

A registry object loads device functions into the global registry.

## Constructor & Destructor Documentation

## ◆ Registry()

SoapySDR::Registry::Registry | ( | const std::string & | name,
|  | const FindFunction & | find,
|  | const MakeFunction & | make,
|  | const std::string & | abi
| ) |  |

Register a SDR device find and make function.

Parameters

  name | a unique name to identify the entry
  find | the find function returns an arg list
  make | the make function returns a device sptr
  abi | this value must be SOAPY_SDR_ABI_VERSION

## ◆ ~Registry()

SoapySDR::Registry::~Registry | ( | void |  | ) |

Cleanup this registry entry.

## Member Function Documentation

## ◆ listFindFunctions()

static FindFunctions SoapySDR::Registry::listFindFunctions | ( | void |  | ) |
| static

List all loaded find functions.

Returns
  a dictionary of registry entry names to find functions

## ◆ listMakeFunctions()

static MakeFunctions SoapySDR::Registry::listMakeFunctions | ( | void |  | ) |
| static

List all loaded make functions.

Returns
  a dictionary of registry entry names to make functions

The documentation for this class was generated from the following file:

- Registry.hpp